-- Deploy camper:amenity_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: amenity
-- requires: language

begin;

set search_path to camper, public;

create table amenity_i18n (
	amenity_id integer not null references amenity,
	lang_tag text not null references language,
	name text,
	info1 xml,
	info2 xml,
	primary key (amenity_id, lang_tag)
);

grant select on amenity_i18n to guest;
grant select on amenity_i18n to employee;
grant select, insert, update, delete on amenity_i18n to admin;

commit;
