-- Deploy camper:campsite_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: campsite
-- requires: language

begin;

set search_path to camper, public;

create table campsite_i18n (
	campsite_id integer not null references campsite,
	lang_tag text not null references language,
	info1 xml,
	info2 xml,
	primary key (campsite_id, lang_tag)
);

grant select on campsite_i18n to guest;
grant select on campsite_i18n to employee;
grant select, insert, update, delete on campsite_i18n to admin;

commit;
